XmlVaspReader
Date: 2019-10-22

org.jmol.adapter.readers.xml

## Class XmlVaspReader

- java.lang.Object
- - org.jmol.adapter.smarter.AtomSetCollectionReader
  - - org.jmol.adapter.readers.xml.XmlReader
    - - org.jmol.adapter.readers.xml.XmlVaspReader

- All Implemented Interfaces:
    javajs.api.GenericLineReader

      public class XmlVaspReader
      extends XmlReader

  Vasp vasprun.xml reader
  Author:
    hansonr

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) float` | `a`
    `private int` | `ac`
    `(package private) float` | `alpha`
    `(package private) java.lang.String` | `atomName`
    `(package private) java.lang.String[]` | `atomNames`
    `(package private) java.lang.String` | `atomSym`
    `(package private) java.lang.String[]` | `atomSyms`
    `(package private) float` | `b`
    `(package private) float` | `beta`
    `(package private) float` | `c`
    `private javajs.util.SB` | `data`
    `private java.lang.String` | `enthalpy`
    `(package private) float` | `gamma`
    `private java.lang.String` | `gibbsEnergy`
    `(package private) boolean` | `haveUnitCell`
    `private int` | `iAtom`
    `private boolean` | `isE_fr_energy`
    `private boolean` | `isE_wo_entrp`
    `private java.lang.String` | `name`

    - ### Fields inherited from class org.jmol.adapter.readers.xml.XmlReader

      `atom, atts, bond, chars, keepChars, parent`

    - ### Fields inherited from class org.jmol.adapter.smarter.AtomSetCollectionReader

      `addedData, addedDataKey, addVibrations, allowPDBFilter, ANGSTROMS_PER_BOHR, applySymmetryToBonds, asc, baseAtomIndex, binaryDoc, bsFilter, bsModels, calculationType, continuing, debugging, desiredModelNumber, desiredSpaceGroupIndex, desiredVibrationNumber, doApplySymmetry, doCentralize, doCheckUnitCell, doConvertToFractional, doPackUnitCell, doProcessLines, doReadMolecularOrbitals, dssr, fileName, fileOffset, filePath, fileScaling, fillRange, filter, filterHetero, fixJavaFloat, forcePacked, getHeader, haveAtomFilter, haveModel, havePartialChargeFilter, htParams, ignoreFileSpaceGroupName, ignoreFileSymmetryOperators, ignoreFileUnitCell, ignoreStructure, iHaveFractionalCoordinates, iHaveSymmetryOperators, iHaveUnitCell, isBinary, isConcatenated, isDSSP1, isFinalized, isMolecular, isPrimitive, isSequential, isTrajectory, latticeCells, latticeScaling, latticeType, line, lstNCS, matUnitCellOrientation, modDim, modelNumber, ms, mustFinalizeModelSet, next, out, packingError, prevline, primitiveToCrystal, ptLine, ptSupercell, reader, readerName, requiresBSFilter, reverseModels, rotateHexCell, sgName, stateScriptVersionInt, strSupercell, symmetry, templateAtomCount, thisBiomolecule, trajectorySteps, unitCellOffset, unitCellParams, useAltNames, useFileModelNumbers, validation, vibrationNumber, vibsFractional, vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlVaspReader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `processEndElement(java.lang.String localName)`
    `void` | `processStartElement(java.lang.String localName, java.lang.String nodeName)`
    `protected void` | `processXml(XmlReader parent, java.lang.Object saxReader)`

    - ### Methods inherited from class org.jmol.adapter.readers.xml.XmlReader

      `applySymmetryAndSetTrajectory, createDomNodeJS, endDocument, initCML, initializeReader, processDOM, processXml2, setKeepChars`

    - ### Methods inherited from class org.jmol.adapter.smarter.AtomSetCollectionReader

      `addAtomXYZSymName, addExplicitLatticeVector, addJmolScript, addSites, addSiteScript, appendLoadNote, appendUunitCellInfo, applySymTrajASCR, checkCurrentLineForScript, checkFilterKey, checkLastModel, checkLine, checkLineForScript, clearUnitCell, cloneLastAtomSet, discardLinesUntilBlank, discardLinesUntilContains, discardLinesUntilContains2, discardLinesUntilNonBlank, discardLinesUntilStartsWith, discardPreviousAtoms, doGetModel, doGetVibration, doPreSymmetry, fill3x3, fillDataBlock, fillDataBlockFixed, fillFloatArray, fillFrequencyData, filterAtom, filterReject, finalizeMOData, finalizeModelSet, finalizeReaderASCR, finalizeSubclassReader, finalizeSubclassSymmetry, forceSymmetry, fractionalizeCoordinates, getElementSymbol, getFilter, getFortranFormatLengths, getInterface, getNewSymmetry, getStrings, getSymmetry, getTokens, getTokensFloat, initializeSymmetry, initializeSymmetryOptions, initializeTrajectoryFile, isLastModel, newAtomSet, parseFloat, parseFloatRange, parseFloatStr, parseInt, parseIntAt, parseIntRange, parseIntStr, parseToken, parseTokenNext, parseTokenRange, parseTokenStr, processBinaryDocument, rd, read3Vectors, readDataObject, readLines, readNextLine, rejectAtomName, RL, set2D, setAtomCoord, setAtomCoordScaled, setAtomCoordTokens, setAtomCoordXYZ, setChainID, setElementAndIsotope, setFilter, setFilterAtomTypeStr, setFractionalCoordinates, setIsPDB, setLoadNote, setModelPDB, setSpaceGroupName, setSymmetryOperator, setTransform, setUnitCell, setUnitCellItem, setup, setupASCR`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### data

          private javajs.util.SB data

    - #### name

          private java.lang.String name

    - #### ac

          private int ac

    - #### iAtom

          private int iAtom

    - #### isE_wo_entrp

          private boolean isE_wo_entrp

    - #### isE_fr_energy

          private boolean isE_fr_energy

    - #### enthalpy

          private java.lang.String enthalpy

    - #### gibbsEnergy

          private java.lang.String gibbsEnergy

    - #### haveUnitCell

          boolean haveUnitCell

    - #### atomNames

          java.lang.String[] atomNames

    - #### atomSyms

          java.lang.String[] atomSyms

    - #### atomName

          java.lang.String atomName

    - #### atomSym

          java.lang.String atomSym

    - #### a

          float a

    - #### b

          float b

    - #### c

          float c

    - #### alpha

          float alpha

    - #### beta

          float beta

    - #### gamma

          float gamma

  - ### Constructor Detail

    - #### XmlVaspReader

          public XmlVaspReader()

  - ### Method Detail

    - #### processXml

          protected void processXml(XmlReader parent,
                                    java.lang.Object saxReader)
                             throws java.lang.Exception

      Overrides:
        `processXml` in class `XmlReader`
      Throws:
        `java.lang.Exception`

    - #### processStartElement

          public void processStartElement(java.lang.String localName,
                                          java.lang.String nodeName)

      Overrides:
        `processStartElement` in class `XmlReader`
        `nodeName` - TODO

    - #### processEndElement

          void processEndElement(java.lang.String localName)

      Overrides:
        `processEndElement` in class `XmlReader`